#![feature(round_char_boundary)]
use crate::init_tracing::init_telemetry;
use crate::init_tracing::shutdown_telemetry;
use crate::parser::document;
mod init_tracing;
mod parser;

const TEST_DOC: &'static str = include_str!("../toy_language.txt");

fn main() -> Result<(), Box<dyn std::error::Error>> {
    init_telemetry()?;
    let parsed = document(TEST_DOC);
    println!("{}\n\n\n", TEST_DOC);
    println!("{:#?}", parsed);
    shutdown_telemetry()?;
    Ok(())
}
