use super::element::Element;

#[derive(Debug)]
pub struct PlainList<'s> {
    pub source: &'s str,
    pub children: Vec<PlainListItem<'s>>,
}

#[derive(Debug)]
pub struct PlainListItem<'s> {
    pub source: &'s str,
    pub indentation: usize,
    pub bullet: &'s str,
    pub children: Vec<Element<'s>>,
}

#[derive(Debug)]
pub struct GreaterBlock<'s> {
    pub source: &'s str,
    pub name: &'s str,
    pub parameters: Option<&'s str>,
    pub children: Vec<Element<'s>>,
}

#[derive(Debug)]
pub struct FootnoteDefinition<'s> {
    pub source: &'s str,
    pub label: &'s str,
    pub children: Vec<Element<'s>>,
}

#[derive(Debug)]
pub struct Drawer<'s> {
    pub source: &'s str,
    pub name: &'s str,
    pub children: Vec<Element<'s>>,
}
